<!DOCTYPE html>
<html>

<head>
  <meta charset='utf-8'>
  <title>Pizza 365 project</title>
  <meta name='viewport' content='width=device-width, initial-scale=1'>
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
</head>

<body onload="onPageLoading()">
  <div class="container">
    <p class="h3 text-center mt-5"> Chọn đồ uống </p>
    <div class="form-group col-12">
      <hr class="mt-5 mb-5" />
    </div>

    <div class="form-group">
      <label>Đồ uống:</label>
      <select id="select-drink" class="form-control">
        <option>Chọn đồ uống</option>
      </select>
    </div>
    <button onclick="onBtnDrinkClick()" id="show-result" class="btn btn-primary w-25">Hiển thị</button>
  </div>
  <script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gREQUEST_STATUS_OK = 200;
    const gREQUEST_READY_STATUS_FINISH_AND_OK = 4;

    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */

    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading(){
      var xhttp = new XMLHttpRequest();
      callApiDrink(xhttp)
      xhttp.onreadystatechange =
        function () {
          if (this.readyState == gREQUEST_READY_STATUS_FINISH_AND_OK && this.status == gREQUEST_STATUS_OK) {
            console.log(xhttp.responseText); //ghi response text ra console.log
            showDataToSelect(xhttp)
          }
        };
        
    }

    function onBtnDrinkClick(){
      console.log("Nút hiện thị được ấn !!")
      var vDrink = {
        drinkValue: "",
        drinkText: ","
      }
      getData(vDrink)
      console.log(vDrink)
    }
        /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function getData(paramDrink){
      var vElementSelectDrink = document.getElementById("select-drink");
      paramDrink.drinkValue = vElementSelectDrink.options[vElementSelectDrink.selectedIndex].value;
      paramDrink.drinkText = vElementSelectDrink.options[vElementSelectDrink.selectedIndex].text;
    }


    function callApiDrink(paramXmlHttp){
      paramXmlHttp.open("GET", "http://203.171.20.210:8080/devcamp-pizza365/drinks", true);
      paramXmlHttp.send();
    }
    function showDataToSelect(paramXmlHttp){
      var vSelectDrink = document.getElementById("select-drink")
      var vResponse = JSON.parse(paramXmlHttp.responseText)
      for( var bI = 0; bI < vResponse.length; bI ++ ){
        var vNewOption = document.createElement("option");
        vNewOption.value = vResponse[bI].maNuocUong
        vNewOption.text = vResponse[bI].tenNuocUong
        vSelectDrink.appendChild(vNewOption)
      }
    }

  </script>
</body>

</html>